package cn.anicert.secure.access.enums;

public enum Configs {

    customerNo("customerNo", "业务站点号", true),
    accessUrl("accessUrl", "安全接入平台地址", true),
    signPrivateKey("signPrivateKey", "签名私钥", true),
    signVerifyPublicKey("signVerifyPublicKey", "验签公钥", true),
    dataEncryptKey("dataEncryptKey", "数据加密秘钥", false);

    private String key;
    private String name;
    private boolean necessary;

    Configs(String key, String name) {
        this(key, name, false);
    }

    Configs(String key, String name, boolean necessary) {
        this.key = key;
        this.name = name;
        this.necessary = necessary;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isNecessary() {
        return necessary;
    }

    public void setNecessary(boolean necessary) {
        this.necessary = necessary;
    }
}
